summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2020-11-20 15:24:31 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-11-22 01:14:20 +0700
commit9c7adf157333a16fbb7c911c510cee0ab2bb0f3a (patch)
treee3d0c86f714a3c89cf10d933feeb568fbe36b961
parentafb285cb6084f7b03c7b724d8550995764ef231b (diff)
downloadslackbuilds-9c7adf157333a16fbb7c911c510cee0ab2bb0f3a.tar.gz
slackbuilds-9c7adf157333a16fbb7c911c510cee0ab2bb0f3a.tar.xz
office/diction: Added (grammar checker)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--office/diction/README11
-rw-r--r--office/diction/diction.SlackBuild81
-rw-r--r--office/diction/diction.info10
-rw-r--r--office/diction/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/office/diction/README b/office/diction/README
new file mode 100644
index 0000000000..18d9a3c566
--- /dev/null
+++ b/office/diction/README
@@ -0,0 +1,11 @@
+diction (grammar checker)
+
+GNU diction and style are free implementations of old standard
+UNIX commands, that are not available on many modern systems,
+because they have been unbundled. Diction prints wordy and commonly
+misused phrases. Style analyses surface characteristics of a document,
+e.g. sentence length and various readability measures, but unlike the
+original code, it lacks sentence type, word usage and most sentence
+beginning processing.
+
+Both commands support Dutch, English and German documents.
diff --git a/office/diction/diction.SlackBuild b/office/diction/diction.SlackBuild
new file mode 100644
index 0000000000..bf4fc516c7
--- /dev/null
+++ b/office/diction/diction.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for diction
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=diction
+VERSION=${VERSION:-1.14}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+strip $PRGNAM style
+make install DESTDIR=$PKG
+gzip $PKG/usr/man/man?/*.?
+
+# These 2 files are identical, make one a symlink
+rm -f $PKG/usr/share/$PRGNAM/C
+ln -s en $PKG/usr/share/$PRGNAM/C
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/diction/diction.info b/office/diction/diction.info
new file mode 100644
index 0000000000..42287d84af
--- /dev/null
+++ b/office/diction/diction.info
@@ -0,0 +1,10 @@
+PRGNAM="diction"
+VERSION="1.14"
+HOMEPAGE="https://www.gnu.org/software/diction/diction.html"
+DOWNLOAD="http://www.moria.de/~michael/diction/diction-1.14.tar.gz"
+MD5SUM="2a162c2ae7cb4a28e9471dd756b38019"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/office/diction/slack-desc b/office/diction/slack-desc
new file mode 100644
index 0000000000..63394cc89b
--- /dev/null
+++ b/office/diction/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+diction: diction (grammar checker)
+diction:
+diction: GNU diction and style are free implementations of old standard
+diction: UNIX commands, that are not available on many modern systems,
+diction: because they have been unbundled. Diction prints wordy and commonly
+diction: misused phrases. Style analyses surface characteristics of a document,
+diction: e.g. sentence length and various readability measures, but unlike the
+diction: original code, it lacks sentence type, word usage and most sentence
+diction: beginning processing.
+diction:
+diction: